> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Android Device ID

> Links the Android device identifier to the user's PlayFab account

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AccountLinkedToABannedPlayer | 1613 |
| LinkedDeviceAlreadyClaimed | 1118 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/LinkAndroidDeviceID
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/LinkAndroidDeviceID:
    post:
      tags:
        - Account Management
      summary: Link Android Device ID
      description: |
        Links the Android device identifier to the user's PlayFab account

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | AccountLinkedToABannedPlayer | 1613 |
        | LinkedDeviceAlreadyClaimed | 1118 |
      operationId: LinkAndroidDeviceID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkAndroidDeviceIDRequest'
      responses:
        '200':
          $ref: '#/components/responses/LinkAndroidDeviceIDResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    LinkAndroidDeviceIDRequest:
      type: object
      properties:
        AndroidDevice:
          description: Specific model of the user's device.
          type: string
        AndroidDeviceId:
          description: Android device identifier for the user's device.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ForceLink:
          description: >-
            If another user is already linked to the device, unlink the other
            user and re-link.
          type: boolean
        OS:
          description: Specific Operating System version for the user's device.
          type: string
      required:
        - AndroidDeviceId
      example:
        AndroidDeviceId: 526f79204261747479
        OS: '5.0'
        AndroidDevice: Nexus 6
    LinkAndroidDeviceIDResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    LinkAndroidDeviceIDResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/LinkAndroidDeviceIDResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Link Android Device ID](/services/playfab/api-references/rest/client/account-management/link-android-device-id.md)
- [PFAccountManagementLinkAndroidDeviceIDRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementlinkandroiddeviceidrequest.md)
- [PFAccountManagementClientLinkAndroidDeviceIDAsync](/services/playfab/api-references/c/pfaccountmanagement/functions/pfaccountmanagementclientlinkandroiddeviceidasync.md)
- [Unlink Android Device ID](/services/playfab/api-references/rest/client/account-management/unlink-android-device-id.md)
- [Login With Android Device ID](/services/playfab/api-references/rest/server/authentication/login-with-android-device-id.md)
